Upload/override a backup tar.gz and generate metadata – Fleets API – MediaKind
Upload/override a backup tar.gz and generate metadata
post https://app.mk.io/api/v1/projects/:project_name/fleet/uploadBackup
Upload/override a tar.gz file to blob storage and generate a metadata.json file containing the blob URL. The location is determined by the URL parameters.
RBAC Capability Required: fleet.device.create
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project
type: string
Required
Response
201 The backup tar.gz file was uploaded and metadata generated.
No response body.
Errors
400 Bad Request
error object ErrorDetail Required
Pertinent information about the error
- code: string Required
- detail: string Required
- extraDetail: map from strings to any Optional
401 Unauthorized
error object ErrorDetail Required
Pertinent information about the error
- code: string Required
- detail: string Required
- extraDetail: map from strings to any Optional
403 Forbidden
error object ErrorDetail Required
Pertinent information about the error
- code: string Required
- detail: string Required
- extraDetail: map from strings to any Optional
404 Not Found
error object ErrorDetail Required
Pertinent information about the error
- code: string Required
- detail: string Required
- extraDetail: map from strings to any Optional
409 Conflict
error object ErrorDetail Required
Pertinent information about the error
- code: string Required
- detail: string Required
- extraDetail: map from strings to any Optional
429 Too Many Requests
error object ErrorDetail Required
Pertinent information about the error
- code: string Required
- detail: string Required
- extraDetail: map from strings to any Optional
500 Internal Server Error
error object ErrorDetail Required
Pertinent information about the error
- code: string Required
- detail: string Required
- extraDetail: map from strings to any Optional